<?php
require_once 'inc/usuario.php';

checkLogin('login.php');

date_default_timezone_set('America/Sao_Paulo');

if(!isset($_SESSION)) {
  session_start();
}

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
  require_once 'inc/usuario.php';
  $redirect = 'erpc_usuarios_list.php';
  $usuarios = usuarios_create();
  if (isset($_POST['usuarios'])) {
    $usuarios = array_replace_recursive($usuarios, $_POST['usuarios']);
  }
  if (isset($_POST['btn-add'])) {
    $ok = usuarios_insert($usuarios);
    if ($ok === false) {
      $redirect = 'erpc_usuarios_add.php';
    }
  } else if (isset($_POST['btn-edit'])) {
    $ok = usuarios_update($usuarios);
    if ($ok === false) {
      $redirect = 'erpc_usuarios_edit.php?id=' . urlencode(base64_encode($usuarios['id']));
    }
  } else if (isset($_POST['btn-remove'])) {
    $ok = usuarios_delete($usuarios);
    if ($ok === false) {
      $redirect = 'erpc_usuarios_remove.php?id=' . urlencode(base64_encode($usuarios['id']));
    }
  }
  header("Location:$redirect");
  exit;
}
